#include "chdecl.h"
void CH_disassembler_disblanks(current, sched, cop)
#define ARGUMENTS 5
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto c5;
    case 4: goto c17;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* new_table 4 , 1 */
  if ((ch_returncode = che_new_table(DEF(4),QUAL(1),sched)) != Normal) 
     goto ch_raise_exception;
/* ilit 5 , 0 */
  REF(5).value.integer = 0;
  REF(5).tsdr = & dr_integer;
c5:
/* ige . 5 3.0 , 13 */
  if ( REF(5).value.integer >= REF(3)DOT(0).value.integer ) goto c13;
/* ordenum_lit 6 , 32 */
  REF(6).value.ord_enum = 32;
  REF(6).tsdr = & dr_ord_enumeration;
/* insert 4 6 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(6),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* iadd 5 5 =(1) */
  if (!chf_iadd(DEF(5),REF(5).value.integer,1)) goto ch_depletion;
/* branch , 5 */
   goto c5;
c13:
/* move 3.1 4 */
  (*(REF(3)DOT(1).tsdr)->finalize)(REF(3)DOT(1).value,F_DISCARD,sched);
  REF(3)DOT(1) = REF(4);
  REF(4).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c17:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
